Index: /branches/version-2_5-dev/test/class/page/LC_Page_Test.php
===================================================================
--- /branches/version-2_5-dev/test/class/page/LC_Page_Test.php	(revision 18820)
+++ /branches/version-2_5-dev/test/class/page/LC_Page_Test.php	(revision 19802)
@@ -49,5 +49,5 @@
     function testSendRedirect() {
         $objPage = new LC_Page();
-        $result = $objPage->sendRedirect(SITE_URL);
+        $result = $objPage->sendRedirect(HTTP_URL);
 
         $this->assertEquals(true, empty($result));
@@ -143,5 +143,5 @@
         $url = $objPage->getLocation("/abouts/index.php");
 
-        $this->assertEquals(SITE_URL . "abouts/index.php", $url);
+        $this->assertEquals(HTTP_URL . "abouts/index.php", $url);
         unset($_SERVER['DOCUMENT_ROOT']);
     }
@@ -155,7 +155,7 @@
         $objPage = new LC_Page();
         $_SERVER['DOCUMENT_ROOT'] = realpath(dirname(__FILE__) . "/../../../html");
-        $url = $objPage->getLocation(URL_DIR . 'abouts/index.php');
-
-        $this->assertEquals(SITE_URL . "abouts/index.php", $url);
+        $url = $objPage->getLocation(URL_PATH . 'abouts/index.php');
+
+        $this->assertEquals(HTTP_URL . "abouts/index.php", $url);
         unset($_SERVER['DOCUMENT_ROOT']);
     }
@@ -173,12 +173,12 @@
         $url = $objPage->getLocation("/abouts/index.php", $queryString);
 
-        $this->assertEquals(SITE_URL . "abouts/index.php?mode=update&type=text", $url);
-        unset($_SERVER['DOCUMENT_ROOT']);
-    }
-
-    /**
-     * LC_Page::getLocation() のテストケース.
-     *
-     * SSL_URL 使用
+        $this->assertEquals(HTTP_URL . "abouts/index.php?mode=update&type=text", $url);
+        unset($_SERVER['DOCUMENT_ROOT']);
+    }
+
+    /**
+     * LC_Page::getLocation() のテストケース.
+     *
+     * HTTPS_URL 使用
      */
     function testGetLocationUseSSL() {
@@ -189,5 +189,5 @@
         $url = $objPage->getLocation("/abouts/index.php", $queryString, true);
 
-        $this->assertEquals(SSL_URL . "abouts/index.php?mode=update&type=text", $url);
+        $this->assertEquals(HTTPS_URL . "abouts/index.php?mode=update&type=text", $url);
         unset($_SERVER['DOCUMENT_ROOT']);
     }
@@ -206,5 +206,5 @@
                                      false, $documentRoot);
 
-        $this->assertEquals(SITE_URL . "abouts/index.php", $url);
+        $this->assertEquals(HTTP_URL . "abouts/index.php", $url);
     }
 }
